# DataExchange
TKXSBase
Interface

# Interface_ReportEntity Class Reference

A ReportEntity is produced to aknowledge and memorize the
binding between a Check and an Entity. The Check can bring
Fails (+ Warnings if any), or only Warnings. If it is empty,
the Report Entity is for an Unknown Entity.
The ReportEntity brings : the Concerned Entity, the
Check, and if the Entity is empty (Fails due to Read
Errors, hence the Entity could not be loaded), a Content.
The Content is itself an Transient Object, but remains in a
literal form : it is an "Unknown Entity". If the Concerned
Entity is itself Unknown, Concerned and Content are equal.
According to the Check, if it brings Fail messages,
the ReportEntity is an "Error Entity", the Concerned Entity is
an "Erroneous Entity". Else it is a "Correction Entity", the
Concerned Entity is a "Corrected Entity". With no Check
message and if Concerened and Content are equal, it reports
for an "Unknown Entity".
Each norm must produce its own type of Unknown Entity, but can
use the class UndefinedContent to brings parameters : it is
enough for most of information and avoids to redefine them,
only the specific part remains to be defined for each norm.
.

`#include <Interface_ReportEntity.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_ReportEntity (const Handle(Standard_Transient)&unknown)
| Creates a ReportEntity for an Unknown Entity : Check is empty, and Concerned equates Content (i.e. the Unknown Entity) .
Standard_EXPORT | Interface_ReportEntity (const Handle(Interface_Check)&acheck, const Handle(Standard_Transient)&concerned)
| Creates a ReportEntity with its features : - <acheck> is the Check to be memorised - <concerned> is the Entity to which the Check is bound Later, a Content can be set : it is required for an Error .
Standard_EXPORT void | SetContent (const Handle(Standard_Transient)&content)
| Sets a Content : it brings non interpreted data which belong to the Concerned Entity. It can be empty then loaded later. Remark that for an Unknown Entity, Content is set by Create. .
Standard_EXPORT const Handle_Interface_Check & | Check () const
| Returns the stored Check .
Standard_EXPORT Handle_Interface_Check & | CCheck ()
| Returns the stored Check in order to change it .
Standard_EXPORT Handle_Standard_Transient | Concerned () const
| Returns the stored Concerned Entity. It equates the Content in the case of an Unknown Entity .
Standard_EXPORT Standard_Boolean | HasContent () const
| Returns True if a Content is stored (it can equate Concerned) .
Standard_EXPORT Standard_Boolean | HasNewContent () const
| Returns True if a Content is stored AND differs from Concerned (i.e. redefines content) : used when Concerned could not be loaded .
Standard_EXPORT Handle_Standard_Transient | Content () const
| Returns the stored Content, or a Null Handle Remark that it must be an "Unknown Entity" suitable for the norm of the containing Model .
Standard_EXPORT Standard_Boolean | IsError () const
| Returns True for an Error Entity, i.e. if the Check brings at least one Fail message .
Standard_EXPORT Standard_Boolean | IsUnknown () const
| Returns True for an Unknown Entity, i,e. if the Check is empty and Concerned equates Content .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_Check | thecheck
Handle_Standard_Transient | theconcerned
Handle_Standard_Transient | thecontent

## Constructor & Destructor Documentation

Standard_EXPORT Interface_ReportEntity::Interface_ReportEntity | ( | const Handle(Standard_Transient)& | unknown | ) |

Standard_EXPORT Interface_ReportEntity::Interface_ReportEntity | ( | const Handle(Interface_Check)& | acheck,
|  | const Handle(Standard_Transient)& | concerned
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Interface_Check& Interface_ReportEntity::CCheck | ( |  | ) |

Standard_EXPORT const Handle_Interface_Check& Interface_ReportEntity::Check | ( |  | ) | const

Standard_EXPORT Handle_Standard_Transient Interface_ReportEntity::Concerned | ( |  | ) | const

Standard_EXPORT Handle_Standard_Transient Interface_ReportEntity::Content | ( |  | ) | const

Standard_EXPORT const Interface_ReportEntity::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean Interface_ReportEntity::HasContent | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_ReportEntity::HasNewContent | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_ReportEntity::IsError | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_ReportEntity::IsUnknown | ( |  | ) | const

Standard_EXPORT void Interface_ReportEntity::SetContent | ( | const Handle(Standard_Transient)& | content | ) |

## Field Documentation

Handle_Interface_Check Interface_ReportEntity::thecheck `[private]`

Handle_Standard_Transient Interface_ReportEntity::theconcerned `[private]`

Handle_Standard_Transient Interface_ReportEntity::thecontent `[private]`

The documentation for this class was generated from the following file:

- Interface_ReportEntity.hxx